use thiserror::Error;

#[derive(Debug, Error)]
pub enum CertificateGenerateError {
    #[error("Error generating RSA key")]
    X509Error(#[from] openssl::error::ErrorStack),
    #[error("IO Error")]
    IOError(#[from] std::io::Error),
}
